#include <iostream>

using namespace std;

global void kernel(int* d adatok)
{
	int index = blockIdx.x*blockDim.x+threadIdx.x;
	d adatok[index] *= d adatok[index];
}

int main()
{
	int *h adatok, *d adatok;
	h adatok = (int*)malloc(sizeof(int)*10);
	cudaMalloc(&d adatok,sizeof(int)*10);
	for(int i = 0 ; i < 10 ; ++i)
		h adatok[i] = i+1;
		
	cudaMemcpy(d adatok,h adatok,sizeof(int)*10,cudaMemcpyHostToDevice);
	kernel<<< 1; 10 >>>(d adatok);
	cudaMemcpy(h adatok,d adatok,sizeof(int)*10,cudaMemcpyDeviceToHost);
	
	for(int i = 0 ; i < 10 ; ++i)
		cout << h adatok[i];
		
	free(h adatok);
	cudaFree(d adatok);
	return 0;
}